apiVersion: v1
kind: Service
metadata:
  name: external-lb
spec:
  type: LoadBalancer
  ports:
  - name: vote
    port: 5000
    targetPort: "vote"
  - name: result
    port: 5001
    targetPort: "result"
  selector:
    lbtype: external